Ralink STA_RT2860D-1.2.2.0UI 1.2.2
0

(0)

1 Screenshot

About This File

The Driver was developed for Ralink Network, applied to RT309x, RT3092, RT3090, RT2790, RT2860 and was installed in Mac OS X 10.3/10.4/10.5. The version of the Driver was 1.2.2.0.

The package for 10.5 Leopard should also work for SL 10.6 (32bit).

This workaround is not perfect, better change your WLAN PCI-e card for a compatible one.



  • Download this file


  • User Feedback

    There are no reviews to display.